Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport
Class AbstractMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractTransportMessageHandler
          org.mule.transport.AbstractMessageReceiver

All Implemented Interfaces:
  Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

Direct Known Subclasses:
  AbstractPollingMessageReceiver, AjaxMessageReceiver, AxisMessageReceiver, JettyHttpMessageReceiver, JmsMessageReceiver, MultiConsumerJmsMessageReceiver, QuartzMessageReceiver, RmiCallbackMessageReceiver, ServletMessageReceiver, TcpMessageReceiver, TransactedSingleResourceJmsMessageReceiver, UdpMessageReceiver, XmppMessageReceiver

    public abstract class AbstractMessageReceiver

extends AbstractTransportMessageHandler
implements MessageReceiver

`AbstractMessageReceiver` provides common methods for all Message Receivers provided with Mule. A message receiver enables an endpoint to receive a message from an external system.

Field Summary
`protected List<Transformer>` | `defaultInboundTransformers`
`protected List<Transformer>` | `defaultResponseTransformers`
`protected FlowConstruct` | `flowConstruct` The Service with which this receiver is associated with
`protected MessageProcessor` | `listener` `MessageProcessor` chain used to process messages once the transport specific `MessageReceiver` has received transport message and created the `MuleEvent`
`protected String` | `receiverKey` Stores the key to this receiver, as used by the Connector to store the receiver.

Fields inherited from class org.mule.transport.AbstractTransportMessageHandler
`connected, connecting, connector, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbstractMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)` Creates the Message Receiver

Method Summary
`protected void` | `applyInboundTransformers(MuleEvent event)`
`protected void` | `applyResponseTransformers(MuleEvent event)`
`protected ConnectableLifecycleManager` | `createLifecycleManager()`
`protected MuleEvent` | `createMuleEvent(MuleMessage message, OutputStream outputStream)`
`protected void` | `doDispose()`
`protected String` | `getConnectEventId()`
`String` | `getConnectionDescription()` Returns a string identifying the underlying resource
`InboundEndpoint` | `getEndpoint()`
`EndpointURI` | `getEndpointURI()` The endpointUri that this receiver listens on
`FlowConstruct` | `getFlowConstruct()`
`String` | `getReceiverKey()`
`protected WorkManager` | `getWorkManager()`
`protected MuleMessage` | `handleUnacceptedFilter(MuleMessage message)`
`void` | `initialise()` Method used to perform any initialisation work.
`MuleEvent` | `routeMessage(MuleMessage message)`
`MuleEvent` | `routeMessage(MuleMessage message, MuleSession session, Transaction trans, OutputStream outputStream)`
`MuleEvent` | `routeMessage(MuleMessage message, Transaction trans)`
`MuleEvent` | `routeMessage(MuleMessage message, Transaction trans, OutputStream outputStream)`
`void` | `setEndpoint(InboundEndpoint endpoint)`
`void` | `setListener(MessageProcessor processor)` Set the MessageProcessor listener on a message source which will be invoked when a message is received or generated.
`void` | `setReceiverKey(String receiverKey)`
`String` | `toString()`

Methods inherited from class org.mule.transport.AbstractTransportMessageHandler
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doConnect, doDisconnect, doInitialise, doStart, doStop, getConnectEventId, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### flowConstruct

    protected FlowConstruct flowConstruct

  The Service with which this receiver is associated with

### listener

    protected MessageProcessor listener

  `MessageProcessor` chain used to process messages once the transport specific `MessageReceiver` has received transport message and created the `MuleEvent`

### receiverKey

    protected String receiverKey

  Stores the key to this receiver, as used by the Connector to store the receiver.

### defaultInboundTransformers

    protected List<Transformer> defaultInboundTransformers

### defaultResponseTransformers

    protected List<Transformer> defaultResponseTransformers

Constructor Detail

### AbstractMessageReceiver

    public AbstractMessageReceiver(Connector connector,
                                   FlowConstruct flowConstruct,
                                   InboundEndpoint endpoint)
                            throws CreateException

  Creates the Message Receiver

  Parameters:
    `connector` - the endpoint that created this listener
    `service` - the service to associate with the receiver. When data is received the service `dispatchEvent` or `sendEvent` is used to dispatch the data to the relevant Service.
    `endpoint` - the provider contains the endpointUri on which the receiver will listen on. The endpointUri can be anything and is specific to the receiver implementation i.e. an email address, a directory, a jms destination or port address.
  Throws:
    `CreateException`
  See Also:
    `flowConstruct`, `InboundEndpoint`

Method Detail

### createLifecycleManager

    protected ConnectableLifecycleManager createLifecycleManager()

  Specified by:
    `createLifecycleManager` in class `AbstractTransportMessageHandler`

### initialise

    public final void initialise()
                          throws InitialisationException

  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Overrides:
    `initialise` in class `AbstractTransportMessageHandler`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getFlowConstruct

    public FlowConstruct getFlowConstruct()

  Specified by:
    `getFlowConstruct` in interface `MessageReceiver`
  Returns:
    the service associated with the receiver

### routeMessage

    public final MuleEvent routeMessage(MuleMessage message)
                                 throws MuleException

  Specified by:
    `routeMessage` in interface `MessageReceiver`
  Throws:
    `MuleException`

### routeMessage

    public final MuleEvent routeMessage(MuleMessage message,
                                        Transaction trans)
                                 throws MuleException

  Specified by:
    `routeMessage` in interface `MessageReceiver`
  Throws:
    `MuleException`

### routeMessage

    public final MuleEvent routeMessage(MuleMessage message,
                                        Transaction trans,
                                        OutputStream outputStream)
                                 throws MuleException

  Specified by:
    `routeMessage` in interface `MessageReceiver`
  Throws:
    `MuleException`

### routeMessage

    public final MuleEvent routeMessage(MuleMessage message,
                                        MuleSession session,
                                        Transaction trans,
                                        OutputStream outputStream)
                                 throws MuleException

  Throws:
    `MuleException`

### applyInboundTransformers

    protected void applyInboundTransformers(MuleEvent event)
                                     throws MuleException

  Throws:
    `MuleException`

### applyResponseTransformers

    protected void applyResponseTransformers(MuleEvent event)
                                      throws MuleException

  Throws:
    `MuleException`

### handleUnacceptedFilter

    protected MuleMessage handleUnacceptedFilter(MuleMessage message)

### createMuleEvent

    protected MuleEvent createMuleEvent(MuleMessage message,
                                        OutputStream outputStream)
                                 throws MuleException

  Throws:
    `MuleException`

### getEndpointURI

    public EndpointURI getEndpointURI()

  Description copied from interface: `MessageReceiver`
  The endpointUri that this receiver listens on

  Specified by:
    `getEndpointURI` in interface `MessageReceiver`

### getConnectionDescription

    public String getConnectionDescription()

  Description copied from class: `AbstractTransportMessageHandler`
  Returns a string identifying the underlying resource

  Specified by:
    `getConnectionDescription` in interface `Connectable`
  Overrides:
    `getConnectionDescription` in class `AbstractTransportMessageHandler`

### getConnectEventId

    protected String getConnectEventId()

### setReceiverKey

    public void setReceiverKey(String receiverKey)

  Specified by:
    `setReceiverKey` in interface `MessageReceiver`

### getReceiverKey

    public String getReceiverKey()

  Specified by:
    `getReceiverKey` in interface `MessageReceiver`

### getEndpoint

    public InboundEndpoint getEndpoint()

  Specified by:
    `getEndpoint` in interface `MessageReceiver`
  Overrides:
    `getEndpoint` in class `AbstractTransportMessageHandler`
  Returns:
    the endpoint from which we are receiving events

### setEndpoint

    public void setEndpoint(InboundEndpoint endpoint)

  Specified by:
    `setEndpoint` in interface `MessageReceiver`
  Parameters:
    `endpoint` - the endpoint to listen on
  See Also:
    `ImmutableEndpoint`

### getWorkManager

    protected WorkManager getWorkManager()

  Specified by:
    `getWorkManager` in class `AbstractTransportMessageHandler`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractTransportMessageHandler`

### setListener

    public void setListener(MessageProcessor processor)

  Description copied from interface: `MessageSource`
  Set the MessageProcessor listener on a message source which will be invoked when a message is received or generated.

  Specified by:
    `setListener` in interface `MessageSource`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractTransportMessageHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.